Orders

List open orders

Returns all active orders for the authenticated user. Optionally filter by market, order type, order IDs, or client order IDs.

Requires authentication.

GET
/orders

Authorization

ApiKeyAuth ApiSignatureAuth ApiTimestampAuth
x-api-key<token>

API key for authentication

In: header

x-api-signature<token>

HMAC-SHA256 signature: base64(HMAC(timestamp + method + path + body, secret))

In: header

x-api-timestamp<token>

Unix timestamp in seconds

In: header

Query Parameters

mkt_id?string

Filter by market ID.

oids?array<>

Filter by order ids

ot?string

Filter by order type.

Default"ORDER_TYPE_UNSPECIFIED"
Value in"ORDER_TYPE_UNSPECIFIED" | "ORDER_TYPE_LIMIT" | "ORDER_TYPE_MARKET" | "ORDER_TYPE_STOP" | "ORDER_TYPE_TWAP"
cl_oids?array<>

Filter by cl_oids.

Response Body

application/json